/**
 * @author Sonal
 */
(function(){
  var _ = require('/lib/lodash')._ ;
	
  var Model = require('/model/Model').Model;
  var Collection = require('/model/Model').Collection;
  var Store = require('/lib/Store');

//Model
  var AppSettingModel = Model.extend({
    // Default attributes
    defaults: {
      relativeid: 0,
      title:'',
      value:'',
    },
  });

//Collection
  var AppSettingCollection = Collection.extend({
	model: AppSettingModel,
	storage: new Store('appsetting.php',Store.Adapter.AJAX)

  });
  
  module.exports.Model = AppSettingModel;
  module.exports.Collection = AppSettingCollection;
})();
