/**
 * @author Sonal
 */
(function(){
  var _ = require('/lib/lodash')._ ;
	
  var Model = require('/model/Model').Model;
  var Collection = require('/model/Model').Collection;
  var Store = require('/lib/Store');

//Model
  // var ClientAccountFieldModel = Model.extend({
    // // Default attributes
    // defaults: {
	  // id: '',
	  // client_id: 0,
	  // account_id: 0,
	  // key:'',
	  // title:'',
	  // regex:'',
	  // description:'',
	  // type:'',
	  // values:'',
	  // required:'',
	  // dummy:'',
	  // instructions:'',
	  // inv_sort:'',
	  // inv_group:'',
	  // voucher_required:'',
	  // active:'',
	  // updated:'',
    // },
    // sync: function(){
	// }
  // });
  var ClientAccountModel = Model.extend({
    // Default attributes
    defaults: {
		id: '',
		type: '',
		fields:[]
    },
	parse: function(resp,options){	
		var account = (resp.hasOwnProperty('name') && resp.hasOwnProperty('type'))?resp:resp.account;
		if(account.account_fields){
			account.fields = account.account_fields;
			delete account.account_fields;
		}
		return account;
	},
    // sync: function(){
	// }
  });

//Collection
  var ClientAccountCollection = Collection.extend({
	model: ClientAccountModel,
	storage: new Store(Store.Adapter.AJAX),

	parse: function(resp,options){	
		return resp.accounts;
	},
	fetchAll: function(options){
		this.fetch({
			url:'accounts/index',
			add:true,
			merge:true,
			remove:true,
			success: function(collection,resp){
				options.success && options.success(collection,resp);
			}
		});
	},
    // sync: function(){
    // }
  });
  
  module.exports.Model = ClientAccountModel;
  module.exports.Collection = ClientAccountCollection;
})();
