var Theme = require('/ui/Theme');
var HeaderButton = require('/ui/common/HeaderButton');

var PickerControl = function(picker){
	var self = Ti.UI.createView({
		height:261,
		bottom:-261,
		left:0,
		right:0,
		backgroundColor:Ti.Android?'#000':undefined,
	});
	
	var header = Ti.UI.createView({
		top: 0,
		left: 0,
		right:0,
		height: 45,
		backgroundColor:Theme.nav.backgroundColor,
	});
	self.add(header);

	var headerBorder = Ti.UI.createView({
		top: 0,
		left: 0,
		right:0,
		height:1,
		backgroundColor:Theme.global.altBGColor,
	});
	header.add(headerBorder);

	var btnDone = new HeaderButton({
		title:'Done',
	});
	btnDone.right = 5;
	
	btnDone.addEventListener('click',function(){
		self.fireEvent('done');
	});
	header.add(btnDone);
	
	picker.left = picker.right = picker.bottom = undefined;
	picker.top = Ti.Android?undefined:45;
	self.add(picker);
	
	return self;
};

module.exports = PickerControl;
