var ICABBI = require('/core/icabbi');
var IcabbiAPI = require('/core/IcabbiAPI');
var UserModel = require('/model/UserModel');
var Booking = require('/model/Booking');
var ChildWindow = require('/ui/common/ChildWindow');
var ClientAccount = require('/model/ClientAccount');

//MapView Component Constructor
var _ = require('/lib/lodash')._ ,
	mds = require('/model/MemoryDataStore');
	$$ = require('/core/ThemeManager');
	

	
var TrackView = function() {
	//create object instance, a parasitic subclass of Observable
    var self = Ti.UI.createView({
    	width:Ti.UI.FILL,
    	height:Ti.UI.FILL,
    	backgroundColor:'#fff',
    	layout:'vertical',
    	backgroundImage:'/images/bodybg.png',
    	backgroundRepeat :true,
    });

	var btnAccount = Ti.UI.createButton({
		title: 'btnAccount',
		left: 0,
		top:0,
		height: 40,
		width: Ti.UI.FILL,
		image : '/images/menu.png',
		backgroundColor : '#000',
		borderColor:'#fff',
		borderWidth: 1,
		color:'#fff'
	});
	self.add(btnAccount);
	var accounts = [{"id":"2461","type":"INVOICE","account_fields":[{"id":"6","client_id":"6","account_id":"0","key":"cost_centre_6d","title":"Cost Centre","regex":"\/^[a-zA-Z]{2}\\d{4}$\/","description":"The Cost Centre you enter must contain 2 letters and 4 digits, for example AA1234","type":"text","values":null,"required":"1","dummy":"000000","instructions":"The Cost Centre you enter must contain 2 letters and 4 digits, for example AA1234 ","inv_sort":"50","inv_group":"0","voucher_required":"0","active":"1","updated":"1350994719"},{"id":"182","client_id":"6","account_id":"2461","key":"af_qrhpxs","title":"TST","regex":"\/(.*)\/","description":"TEST TEST","type":"select","values":"[{\"key\":\"test1\",\"value\":\"test1\"},{\"key\":\"test2\",\"value\":\"test2\"},{\"key\":\"test 3\",\"value\":\"test 3\"}]","required":"1","dummy":"0000","instructions":"test","inv_sort":"1","inv_group":"0","voucher_required":"0","active":"1","updated":"0"}]}];
	var clientaccounts = new ClientAccount.Collection();
	_.each(accounts,function(account){
		var clientaccount = new ClientAccount.Model;
		clientaccount.set({
			id:account.id,
			type:account.type,
			fields:account.account_fields
		});			
		clientaccounts.add(clientaccount);			
	});
	
	btnAccount.addEventListener('click',function(e){
		if (ICABBI.navController.opening(e.source)) {
			return;
		}
		var booking = new Booking.Model();
//			var testin={"relativeid":103079,"perma_id":242265,"date":"2013-05-17T05:19:57+00:00","now":true,"name":"","source":"ANDROIDAPP","distance":0.65376569998241,"address":{"src":"GOOGLE_MAPS","building":"1600","street":"Charleston Creek Blv Road","locality":"Mountain View","formatted":"1600 Charleston Road, Mountain View, CA 94043, USA","lat":"37.422005","lng":"-122.084095","id":"0"},"destination":{"src":"GOOGLE_MAPS","building":"","street":"Permanente Creek Trail","locality":"Mountain View","formatted":"Permanente Creek Trail, Mountain View, CA 94043, USA","lat":"37.417706","lng":"-122.087055","id":"0"},"vehicle_type":"1","instructions":"ggggg","eta":0,"active":true,"cancelled":false,"favourite":false,"driver":{"name":"","psv":"","lat":"","lng":"","vehicle":{"make":"","model":"","plate":"","reg":"","color":""}},"payment":{"mode":"CASH","creditcard":{},"clientaccount":{},"cash":true},"fixed":0,"live_eta":0,"status":"NEW","status_text":"Your taxi is scheduled for Friday 17th May 2013, 06:19am","_object_type":"request","feedback":{"rating":"","text":""},"createdat":1368760803811,"id":242265};
		var testin={"relativeid":103079,"perma_id":242265,"date":"2013-05-17T05:19:57+00:00","now":true,"name":"","source":"ANDROIDAPP","distance":0.65376569998241,"address":{"src":"GOOGLE_MAPS","building":"1600","street":"Charleston Road","locality":"Mountain View","formatted":"1600 Charleston Road, Mountain View, CA 94043, USA","lat":"37.422005","lng":"-122.084095","id":"0"},"destination":{"src":"GOOGLE_MAPS","building":"","street":"Permanente Trail","locality":"Mountain View","formatted":"Permanente Creek Trail, Mountain View, CA 94043, USA","lat":"37.417706","lng":"-122.087055","id":"0"},"vehicle_type":"1","instructions":"ggggg","eta":0,"active":true,"cancelled":false,"favourite":false,"driver":{"name":"","psv":"","lat":"","lng":"","vehicle":{"make":"","model":"","plate":"","reg":"","color":""}},"payment":{"mode":"CASH","creditcard":{},"clientaccount":{},"cash":true},"fixed":0,"live_eta":0,"status":"NEW","status_text":"Your taxi is scheduled for Friday 17th May 2013, 06:19am","_object_type":"request","feedback":{"rating":"","text":""},"createdat":1368760803811,"id":242265};
		booking.set(testin);
		
		var view = require('/ui/common/ClientAccountPaymentView');
		var config = {
				content:view,
				title	: 'Account Payment',
				data:{clientaccounts:clientaccounts},
		};
		setTimeout(function(){
			var win = new ChildWindow(config);
			ICABBI.navController.open(win,undefined,e.source);
		},500);
	});
setTimeout(function(){btnAccount.fireEvent('click');},1000);

	return self;

};

module.exports = TrackView;
