var ICABBI = require('/core/icabbi');

var tools = require('/lib/tools'),
	_ = require('/lib/lodash')._ ,
	$$ = require('/core/ThemeManager');

//WebView Component Constructor
var WebView = function(options) {
	//create object instance, a parasitic subclass of Observable
	var defaults = {
			contentAPI:function(){return 'No Content provided'}, // http://api.icabbi.com/dev/content/terms
			modal:false
	};
	options = _.extend(defaults,options.data||{});
	
	var create = function(){
		var content = Ti.UI.createWebView({
			height:Ti.UI.FILL,
			width:Ti.UI.FILL,
		});
		
		options.contentAPI({
			success: function(html){
				Ti.API.info(html);
				if(html.indexOf('</html>') == -1)
					content.html = '<!DOCTYPE html><html><head><meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"><meta name="apple-mobile-web-app-capable" content="yes"><style> body, html { -webkit-text-size-adjust:none; font-family: Helvetica; } </style><body>' + html + '</body></html>';
				else
					content.html = html;
			}
		});
		
		return content;
	};

	var self = create();

	return self;
};

module.exports = WebView;
